set style line 3 lt 3  lw 4
set style line 1 lt 1  lw 3 
set style line 4 lt 4  lw 3

set sample 3000
h = 1.0
a = 1.0
D = 10
ct = 0.0
sp = 0.08
set yzeroaxis
set title "Wave in a semi-infinite stretched string, fixed end" font "Helvetica,16"
#y0(x) = x<0?1/0:exp(-(x-D)**2/a**2)
#y0(x) = 0
y0(x) = exp(-(x-D)**2/a**2)*(.5*sin(8*x/a)+.3)
#y0(x) = x<0?1/0:x<=D?0:x<D+a?h*(x-D)/a:x<D+2*a?h*(D+2*a-x)/a:0
V(x) = -y0(x)
#V(x) = x<0? 1/0:x<D?0:x<D+a?-h*(x-D)/a:-h

f(x) = x<0?-g(-x):(y0(x)+V(x))/2
g(x) = x<0?-f(-x):(y0(x)-V(x))/2

y(x) = x<0?1/0:f(x-ct)+g(x+ct)
yy(x) = x>0?1/0:f(x-ct)+g(x+ct)

load 'st2.plt'
