set style line 3 lt 3  lw 5
set style line 5 lt 5  lw 4
set style line 1 lt 1  lw 3 
set style line 4 lt 4  lw 3

set sample 5000
h = 1.0
a = 1.0
D = 7.0
ct1 = 0.0
ct2 = 0.0
sp1 = 0.04
sp2 = 0.01
mu = sp2/sp1
#set xtics 0,L
#unset ytics
#set grid back lw 4
set yzeroaxis
set title "Reflection and transmission through a junction" font "Helvetica,16"
y0(x) = exp(-(x-D)**2/a**2)*sin(6*x/a)
#y0(x) = x<0?0:x<=D?0:x<D+a?h*(x-D)/a:x<D+2*a?h*(D+2*a-x)/a:0
V(x) = 0
#y0(x) = 0
#V(x) = x<D?0:x<D+a?-h*(x-D)/a:-h
ff(x)= (y0(x)-V(x))/2.0
gg(x)= (y0(x)+V(x))/2.0
f1(x) = x<0?2.0/(1+mu)*f2(mu*x)+(mu-1)/(mu+1)*g1(-x):ff(x)
g1(x) = x<0?1/0:gg(x)
f2(x) = x<0?ff(x):1/0
g2(x) = x<0?gg(x):2*mu/(1+mu)*g1(x/mu)+(1-mu)/(1+mu)*f2(-x)
y(x) = x<0?1/0:f1(x-ct1)+g1(x+ct1)
yy(x) = x>0?1/0:f2(x-ct2)+g2(x+ct2)
load 'st4.plt'
