set style line 3 lt 3  lw 4
set style line 1 lt 1  lw 3 
set style line 4 lt 4  lw 3

set sample 1000
L = 10
h = 1.0
D = 5.0
a = 5.0
ct = 0
sp = 0.08
set xtics 0,L
unset ytics
set grid back lw 4
set xzeroaxis
#y0(x) = x<0?1/0:x<=L? 4*h/L**2*x*(L-x):1/0
#V(x) = 0
y0(x) = x<0?1/0:x<a? h*x/a:x<=L?h*(L-x)/(L-a):1/0
V(x) = 0
#y0(x) = 0
#V(x) = x<0?1/0:x<D? 0:x<D+a?-h*(x-D)/a:-h
f(x) = x<0?-g(-x):x<=L?(y0(x)-V(x))/2:f(x-2*L)
g(x) = x<0?-f(-x):x<=L?(y0(x)+V(x))/2:g(x-2*L)
y(x) = ((x>=0) && (x<=L))?f(x-ct)+g(x+ct):1/0
set title 'Wave in string fixed at both ends' font 'Helvetica, 16'
load 'st3.plt'
