set style line 3 lt 3  lw 6
set style line 5 lt 7  lw 6
set style line 1 lt 1  lw 6 
set style line 4 lt 3  lw 6

set sample 5000
h = 1.0
a = .5
D = 8.0
w1 = 3.0
w2 = 0.00
c1t = 0.0
c2t = 0.0
c3t = 0.0
sp1 = 0.25
sp2 = 0.90
sp3 = 0.25
mu1 = sp2/sp1
mu2 = sp3/sp2
#set xtics 0,L
#unset ytics
#set grid back lw 4
set yzeroaxis
set title "Multiple reflection/transmissions in a composite string" font "Helvetica,16"

y0(x) = exp(-(x-D)**2/a**2)*sin(8*x/a)
#y0(x) = x<0?0:x<=D?0:x<D+a?h*(x-D)/a:x<D+2*a?h*(D+2*a-x)/a:0
V(x) = y0(x) 
#V(x) = 0
#y0(x) = 0
#V(x) = x<D?0:x<D+a?-h*(x-D)/a:-h

ff(x)= (y0(x)-V(x))/2.0
gg(x)= (y0(x)+V(x))/2.0


f1(x) = x<w1?2.0/(1+mu1)*f2(w1+mu1*(x-w1))+(mu1-1)/(mu1+1)*g1(2*w1-x):ff(x)
g1(x) = x<w1?1/0:gg(x)

f2(x) = x<w2?2/(1+mu2)*f3(w2+mu2*(x-w2))+(mu2-1)/(mu2+1)*g2(2*w2-x):x<w1?ff(x):1/0
g2(x) = x<w2?1/0:x<w1?gg(x):2*mu1/(1+mu1)*g1(w1+(x-w1)/mu1)+(1-mu1)/(1+mu1)*f2(2*w1-x)

f3(x) = x<w2?ff(x):1/0
g3(x) = x<w2?gg(x):(1-mu2)/(1+mu2)*f3(2*w2-x)+2*mu2/(1+mu2)*g2(w2+(x-w2)/mu2)


y1(x) = x<w1?1/0:f1(x-c1t)+g1(x+c1t)
y2(x) = x<w2?1/0:x<w1?f2(x-c2t)+g2(x+c2t):1/0
y3(x) = x<w2?f3(x-c3t)+g3(x+c3t):1/0

load 'st5.plt'
